# Uses of Class
org.eclipse.mat.query.ResultMetaData

Packages that use ResultMetaData
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.query.results
Default Query Result Implementations.
org.eclipse.mat.report
Controls building of reports from XML report definitions.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of ResultMetaData in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
BigDropsQuery.`getResultMetaData()`
`ResultMetaData`
DuplicatedClassesQuery.`getResultMetaData()`
`ResultMetaData`
FindLeaksQuery.SuspectsResultTable.`getResultMetaData()`
`ResultMetaData`
ImmediateDominatorsQuery.ResultImpl.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.inspections.collections

Methods in org.eclipse.mat.inspections.collections that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
HashEntriesQuery.Result.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.inspections.osgi

Methods in org.eclipse.mat.inspections.osgi that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
BundleRegistryQuery.BundleTreeResult.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.internal.snapshot.inspections

Methods in org.eclipse.mat.internal.snapshot.inspections that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
CompareTablesQuery.TableComparisonResult.`getResultMetaData()`
`ResultMetaData`
DominatorQuery.Tree.`getResultMetaData()`
`ResultMetaData`
MultiplePath2GCRootsQuery.Tree.`getResultMetaData()`
`ResultMetaData`
Path2GCRootsQuery.Tree.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
ResultMetaData.Builder.`build()`
Creates and returns the ResultMetaData object, with the context providers list made unmodifiable.
`ResultMetaData`
IResult.`getResultMetaData()`
(Optionally) Return meta data of the result needed to fine-tune the display of the result.

## Uses of ResultMetaData in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
RefinedStructuredResult.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
QueryResult.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.query.results

Methods in org.eclipse.mat.query.results that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
CompositeResult.`getResultMetaData()`
Get the metadata (none).
`ResultMetaData`
DisplayFileResult.`getResultMetaData()`
Get the meta data
`ResultMetaData`
ListResult.`getResultMetaData()`
`ResultMetaData`
PropertyResult.`getResultMetaData()`
`ResultMetaData`
TextResult.`getResultMetaData()`
Get the metadata for fine-tuning the display of this result.

## Uses of ResultMetaData in org.eclipse.mat.report

Methods in org.eclipse.mat.report that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
Spec.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
Histogram.ClassLoaderTree.`getResultMetaData()`
`ResultMetaData`
Histogram.`getResultMetaData()`
`ResultMetaData`
Histogram.PackageTree.`getResultMetaData()`
`ResultMetaData`
Histogram.SuperclassTree.`getResultMetaData()`
`ResultMetaData`
UnreachableObjectsHistogram.`getResultMetaData()`

## Uses of ResultMetaData in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return ResultMetaData
Modifier and Type
Method
Description
`ResultMetaData`
HistogramResult.`getResultMetaData()`
Deprecated.